<template>
  <section id="historic-page">
    <div class="top-screen">
      <div v-for="(histo, index) in historic" :key="`histo-${index}`">
        <p>{{histo.userOne}} {{histo.userOneWin ? "✔️": "❌"}} vs {{histo.userTwo}} {{histo.userTwoWin ? "✔️": "❌"}}</p>
        <p>{{histo.date}}</p>
      </div>
    </div>

    <div class="middle-screen"></div>

    <div class="bottom-screen">
      <button class="button is-danger is-large" @click="goback()">
        <span class="icon is-medium">
          <font-awesome-icon icon="backward" />
        </span>
        <span>Return</span>
      </button>
    </div>
  </section>
</template>

<script>
import router from "../router";

export default {
  name: "historic",
  data: function() {
    return {
      historic: []
    };
  },
  methods: {
    goback() {
      router.back();
    }
  },
  computed: {},
  components: {},
  mounted() {
    const $scope = this;

    this.$historicService.getMeHistoric(
      res => {
        res.data.forEach(x => {
          $scope.historic.push({
            userOne: x.idUserOne.pseudo,
            userTwo: x.idUserTwo.pseudo,
            userOneWin: x.isUserOneVictory,
            userTwoWin: x.isUserTwoVictory,
            date: new Date(x.createdAt).toLocaleTimeString("fr-FR", {
              year: "numeric",
              month: "2-digit",
              day: "2-digit"
            })
          });
        });
      },
      err => {
        console.log(err);
      }
    );
  }
};
</script>


<style scoped lang="scss">
#historic-page {
  .top-screen {
    background-image: url("~@/assets/background-bottom-screen2.png") !important;
    overflow-y: auto !important;
    scrollbar-width: thin;
    display: block !important;
    > div {
      margin-bottom: 0.5em;
      width: 100%;
      font-family: PokemonGb;
      padding: 0.85em 2em;
      text-align: left;
      height: calc(45px * 1.7);
      background-image: url("~@/assets/text-box2.png");
      background-repeat: no-repeat;
      background-size: 100% 100%;
      background-position: center center;
      &:last-child {
        margin-bottom: 0;
      }
    }
  }
}
</style>
